Multivariate Pattern Analysis in Python

# mvpa2.clfs.gpr.SLcho_solve

`mvpa2.clfs.gpr.``SLcho_solve`(c_and_lower, b, overwrite_b=False, check_finite=True)

  Solve the linear equations A x = b, given the Cholesky factorization of A.

  Parameters:

  (c, lower) : tuple, (array, bool)

  > Cholesky factorization of a, as given by cho_factor

  b : array

  > Right-hand side

  overwrite_b : bool, optional

  > Whether to overwrite data in b (may improve performance)

  check_finite : bool, optional

  > Whether to check that the input matrices contain only finite numbers. Disabling may give a performance gain, but may result in problems (crashes, non-termination) if the inputs do contain infinities or NaNs.

  Returns:

  x : array

  > The solution to the system A x = b

  See also

  `cho_factor`
    Cholesky factorization of a matrix